// !!NOTE: This `import.meta.glob` is currently a Vite-only feature.
const modules = import.meta.glob<Array<string>>("./articles/*", {
  import: "tags",
  eager: true,
});

export const tags = Object.entries(modules).reduce(
  (tagsSet, [modulePath, moduleTags]) => {
    if (moduleTags) {
      for (const tag of moduleTags) {
        tagsSet.add(tag);
      }
    }
    return tagsSet;
  },
  new Set<string>()
);
